Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.structures.request
Class FindRequest

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.FindRequest

Direct Known Subclasses:
  FindBinding, FindBusiness, FindService, FindTModel

public abstract class FindRequest
extends Request

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected FindQualifiers` | `findQualifiers`
`protected int` | `maxRows`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`FindRequest()`

Method Summary
`FindQualifiers` | `getFindQualifiers()` Gets the value of findQualifiers
`int` | `getMaxRows()` Gets the value of maxRows
`void` | `setFindQualifiers(FindQualifiers value)` Sets the value of findQualifiers
`void` | `setMaxRows(int value)` Sets the value of maxRows

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxRows

    protected int maxRows

### findQualifiers

    protected FindQualifiers findQualifiers

Constructor Detail

### FindRequest

    public FindRequest()

Method Detail

### setMaxRows

    public void setMaxRows(int value)

  Sets the value of maxRows

  Parameters:
    `value` - Value of maxRows

### getMaxRows

    public int getMaxRows()

  Gets the value of maxRows

  Returns:
    Value of maxRows

### setFindQualifiers

    public void setFindQualifiers(FindQualifiers value)

  Sets the value of findQualifiers

  Parameters:
    `value` - Value of findQualifiers

### getFindQualifiers

    public FindQualifiers getFindQualifiers()

  Gets the value of findQualifiers

  Returns:
    Value of findQualifiers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD